#
# spec file for package apparmor-rpm-macros
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apparmor-rpm-macros
Version:        1.0
Release:        13.2
Summary:        RPM macros used to setup apparmor profiles
License:        LGPL-2.1-or-later
Group:          Development/Tools/Other
Url:            https://bugs.launchpad.net/apparmor
Source:         macros.apparmor
Requires:       coreutils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Package that provides RPM macros used to setup apparmor profiles for packaging.

%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/rpm
install -m644 %{S:0} %{buildroot}%{_sysconfdir}/rpm

%files
%defattr(-,root,root)
%config %{_sysconfdir}/rpm/macros.apparmor

%changelog
* Wed Feb 28 2018 tbechtold@suse.com
- Check if apparmor is active before reloading a profile (bsc#1083226)
  Otherwise a package using the %%apparmor_reload macro in %%post
  automatically enables the profile even if apparmor itself is
  not active.
* Sat Aug 26 2017 suse-beta@cboltz.de
- %%apparmor_reload: skip and regenerate cache to make sure the latest
  profile gets always used (even if the existing cache is newer)
* Wed Jan 11 2017 jengelh@inai.de
- RPM group fix
* Wed Jul 13 2016 ushamim@linux.com
- Initial creation of macro, only contains %%apparmor_reload
